Mail notification is formatting dates with changer's locale

2015-02-05 14:31 - Rafael Vargas

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version: 3.0.0   

Resolution: Fixed Affected version: 2.6.0

Description

Our installation default language is PT-BR but some users have EN configured as user language for their personal accounts.

The date formats are:  pt-BR: "DD/MM/YYYY" and en: "MM/DD/YYYY"

When someone makes a change in the dates (start date/due date) using Redmine in EN, the email notifications for those users using

PT-BR come almost completely localized with the exception of the dates that are coming in the changers locale format.

This can lead to problems with dates like 10/mar/2015 which will be formatted as 10/03/2015 for PT-BR and 03/10/2015 for EN.

The dates seem to be correctly saved in the database as opening the issue in the browser shows the dates correctly localized.

My environment is as follows:

Environment:

  Redmine version                2.6.0.stable

  Ruby version                   2.1.1-p76 (2014-02-24) [x86_64-linux]

  Rails version                  3.2.19

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.10

  Mercurial                      1.3.1

  Cvs                            1.12.13

  Git                            1.8.0

  Filesystem                     

Redmine plugins:

  redmine_better_gantt_chart     0.9.0

Associated revisions

Revision 13978 - 2015-02-08 10:34 - Jean-Philippe Lang

Don't use current user locale to format dates (#19039).

History

#1 - 2015-02-07 09:31 - Jean-Philippe Lang

When sending email notifications, Redmine uses the default locale defined in application settings (Settings / Display / Default language). Which one is

yours, EN or PT-BR?

#2 - 2015-02-07 18:25 - Rafael Vargas

My default language is is set to PT-BR, and I'm not forcing the default language anywhere.

But these are the date and time settings:

Start calendars on:  Based on user's language

Date format: Based on user's language

Time format: Based on user's language

#3 - 2015-02-07 19:19 - Jean-Philippe Lang
- Target version set to 3.0.0

#4 - 2015-02-08 10:35 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

This is fixed in r13978, thanks for pointing this out.

#5 - 2015-02-09 12:06 - Rafael Vargas

Thanks for the quick fix and for the great software!

As a note, shouldn't the notification emails be localized according to the user receiving those emails?
